- Get Export Data
- Get Asset
- Get Asset Schema
- Get Lineage
- Get Assets
- Update Asset
- Update Asset Attribute
POST /api/v1/core/asset/exportGet Export DataResponseboolean
Whether the request completed successfully
string
Human-readable result message
string
ISO 8601 server timestamp
string
Unique ID for this request
object
The endpoint’s response payload.
curl -X POST "https://<your-workspace>.prizmdata.ai/api/v1/core/asset/export" \
-H "Authorization: Bearer <YOUR_API_TOKEN>" \
-H "Content-Type: application/json" \
-d '{}'
Response
{
"success": true,
"message": "Get Export Data",
"timestamp": "2026-09-21T09:43:50.316067+00:00",
"correlation_id": "1bff0823-3db2-4b12-bf56-22ea8d38bba2",
"data": {}
}
GET /api/v1/core/asset/{assetId}Get an asset by its ID.Path Parametersstring
required
Example:
3fa85f64-5717-4562-b3fc-2c963f66afa6boolean
Whether the request completed successfully
string
Human-readable result message
string
ISO 8601 server timestamp
string
Unique ID for this request
object
string
Example:
"5ce10aa5-24a3-4180-b459-f1593bad5012".string
Example:
"ORDERS".string
Example:
"TABLE".string
Example:
"TABLE".string
Example:
"\"AF_DBT_EKS\".\"RAW\".\"ORDERS\"".object[]
string
Example:
"e5478b85-08fa-4371-ad43-b1f1cb7b5eca".string
Example:
"RAW".integer
Example:
11.integer
Example:
0.integer
Example:
0.integer
Example:
0.integer
Example:
0.integer
Example:
0.integer
Example:
162.string
Example:
"READY_FOR_REVIEW".object
boolean
Example:
false.boolean
Example:
true.boolean
Example:
false.boolean
Example:
false.string
Example:
"2026-08-20T12:42:54.220354Z".string
Example:
"2026-09-20T12:54:48.320756Z".object[]
number
Example:
1.0.string
Example:
"CRITICAL".boolean
Example:
false.boolean
Example:
false.string
Example:
"ADVANCED".string
Example:
"ADVANCED".boolean
Example:
false.integer
Example:
4.integer
Example:
0.string
Example:
"d03fc400-68e1-43e1-8eb5-4386b55e11d8".string
Example:
"airflow eks kpo".string
Example:
"Snowflake".object
string
Example:
"5ce10aa5-24a3-4180-b459-f1593bad5012".integer
Example:
1536.string
string
string
Example:
"5ce10aa5-24a3-4180-b459-f1593bad5012".integer
Example:
4.string
Example:
"e5478b85-08fa-4371-ad43-b1f1cb7b5eca".string
boolean
Example:
false.boolean
Example:
false.string
Example:
"ORDERS".string
Example:
"BASE TABLE".string
object
string
Example:
"2026-07-21T07:55:29.075+00:00".object
string
Example:
"RAW".integer
Example:
5.boolean
Example:
false.boolean
Example:
false.string
Example:
"AF_DBT_EKS".string
string
string
Example:
"2026-08-21T11:22:57.77+00:00".object
string
object
integer
Example:
3.integer
Example:
6.integer
Example:
5.object[]
integer
Example:
0.integer
Example:
0.integer
Example:
0.integer
Example:
0.integer
Example:
0.object[]
object[]
object[]
object[]
object[]
object[]
object
object
object[]
integer
Example:
14.integer
Example:
0.object[]
string
Example:
"FULL".object
object
object
string
Example:
"prizm".curl -X GET "https://<your-workspace>.prizmdata.ai/api/v1/core/asset/{assetId}" \
-H "Authorization: Bearer <YOUR_API_TOKEN>"
Response
{
"success": true,
"message": "Get an asset by its ID.",
"timestamp": "2026-09-21T09:43:50.316067+00:00",
"correlation_id": "1bff0823-3db2-4b12-bf56-22ea8d38bba2",
"data": {
"id": "5ce10aa5-24a3-4180-b459-f1593bad5012",
"name": "ORDERS",
"type": "TABLE",
"sub_type": "TABLE",
"qualified_name": "\"AF_DBT_EKS\".\"RAW\".\"ORDERS\"",
"parents": [
{
"id": "92987f97-d391-4707-8dbb-00c6cdef9b42",
"name": "AF_DBT_EKS",
"type": "DATABASE"
}
],
"parent_asset_id": "e5478b85-08fa-4371-ad43-b1f1cb7b5eca",
"parent_asset_name": "RAW",
"total_views": 11,
"total_alerts": 0,
"total_issues": 0,
"total_conversations": 0,
"total_likes": 0,
"total_dislikes": 0,
"total_query": 162,
"status": "READY_FOR_REVIEW",
"asset_metadata": {},
"is_valid": false,
"is_active": true,
"is_delete": false,
"is_incremental": false,
"created_at": "2026-08-20T12:42:54.220354Z",
"modified_at": "2026-09-20T12:54:48.320756Z",
"identifier": [],
"fingerprint": [
{
"id": "2c58e584-bb9b-4f58-b4f8-e2e6053f2ce8",
"label": "ORDER_CREATED_AT"
}
],
"criticality_score": 1.0,
"criticality_category": "CRITICAL",
"is_criticality_override": false,
"is_profile_type_override": false,
"profile_type": "ADVANCED",
"quality_profile_type": "ADVANCED",
"has_quality_metric_config": false,
"total_records": 4,
"schema_changes": 0,
"source_id": "d03fc400-68e1-43e1-8eb5-4386b55e11d8",
"source_name": "airflow eks kpo",
"source_type": "Snowflake",
"details": {
"id": "5ce10aa5-24a3-4180-b459-f1593bad5012",
"bytes": 1536,
"owner": null,
"comment": null,
"asset_id": "5ce10aa5-24a3-4180-b459-f1593bad5012",
"row_count": 4,
"schema_id": "e5478b85-08fa-4371-ad43-b1f1cb7b5eca",
"created_on": null,
"is_dynamic": false,
"is_iceberg": false,
"table_name": "ORDERS",
"table_type": "BASE TABLE",
"accessed_on": null,
"foreign_key": {},
"last_ddl_on": "2026-07-21T07:55:29.075+00:00",
"primary_key": {},
"schema_name": "RAW",
"column_count": 5,
"is_temporary": false,
"is_transient": false,
"database_name": "AF_DBT_EKS",
"clustering_key": null,
"retention_time": null,
"last_altered_on": "2026-08-21T11:22:57.77+00:00",
"views_depends_on": {},
"materialized_view_count": null
},
"ai_insights": {},
"metric_count": 3,
"asset_count": 6,
"child_asset_count": 5,
"metric": [
{
"name": "Freshness",
"value": 2641487,
"metric_detail_id": "52ea9752-dd9b-405f-b074-0c8ac982ff4f"
}
],
"reports_count": 0,
"tables_count": 0,
"semantic_models_count": 0,
"dashboards_count": 0,
"dataflows_count": 0,
"domain": [
{
"id": "3ffcfa0b-05bd-4724-8ee8-1533693a4b21",
"label": "dfghjkghfgnhmvjbmnm"
}
],
"application": [
{
"id": "b072ef9e-bb3d-4d0a-9ef7-fda0922d5ec0",
"type": "application",
"label": "App test ready for review"
}
],
"product": [
{
"id": "117d8d7d-da6f-4dd7-ae51-50cea465212c",
"type": "product",
"label": "B2B Wholesale Portal"
}
],
"tag": [
{
"id": "f1f39d73-2497-4c7f-bad3-7df338fc88f5",
"type": "tag",
"label": "Cyprus Passport Number"
}
],
"term": [
{
"id": "6933fb16-dba7-4abf-8b2c-7e65e50bc6ae",
"name": "Action",
"type": "LINKED",
"label": "Action"
}
],
"viewers": [
{
"id": "eea07098-a9d0-4e66-aba0-5b297cc2a901",
"email": "Sureshreddy@dqlabs.ai",
"viewed_at": "2026-09-20T18:01:24.027248+00:00"
}
],
"catalog_upstream": {
"items": [
{
"id": "cf548762-a796-4128-b1b4-479a264e60bc",
"name": "orders",
"type": "SEED",
"label": "orders",
"sub_type": "DBT_SEED",
"direction": "UPSTREAM",
"depth_level": 1,
"qualified_name": "\"AIRFLOW_DBT_EKS_KPO\".\"ORDERS\""
}
],
"total_count": 1
},
"catalog_downstream": {
"items": [
{
"id": "9b31cf4c-a9f8-44c6-818d-8fbce5dfd580",
"name": "BRZ_ORDERS",
"type": "TABLE",
"label": "BRZ_ORDERS",
"sub_type": "TABLE",
"direction": "DOWNSTREAM",
"depth_level": 1,
"qualified_name": "\"AF_DBT_EKS\".\"BRONZE\".\"BRZ_ORDERS\"",
"is_schema_impacted": false
}
],
"total_count": 14,
"downstream_impacted_count": 0
},
"recent_conversations": [],
"context_freshness": {
"description": null,
"terms_linked": "2026-09-20T12:29:14.868721+00:00",
"owner_verified": null,
"schema_changed": null
},
"run_scope": "FULL",
"sampling_config": {},
"quality_config": {},
"incremental_config": {},
"description_by": "prizm"
}
}
POST /api/v1/core/asset/{assetId}/attributeGet all schema for a specific asset.Path Parametersstring
required
Example:
3fa85f64-5717-4562-b3fc-2c963f66afa6boolean
Whether the request completed successfully
string
Human-readable result message
string
ISO 8601 server timestamp
string
Unique ID for this request
curl -X POST "https://<your-workspace>.prizmdata.ai/api/v1/core/asset/{assetId}/attribute" \
-H "Authorization: Bearer <YOUR_API_TOKEN>" \
-H "Content-Type: application/json" \
-d '{}'
Response
{
"success": true,
"message": "Get all schema for a specific asset.",
"timestamp": "2026-09-21T09:43:50.316067+00:00",
"correlation_id": "1bff0823-3db2-4b12-bf56-22ea8d38bba2",
"data": {
"data": [],
"total_count": 0,
"metrics": []
}
}
POST /api/v1/core/asset/{assetId}/lineageGet comprehensive lineage data for a specific asset.Path Parametersstring
required
Example:
3fa85f64-5717-4562-b3fc-2c963f66afa6boolean
Whether the request completed successfully
string
Human-readable result message
string
ISO 8601 server timestamp
string
Unique ID for this request
object
object[]
object[]
string
Example:
"a7b46ee3-9382-453f-9e46-dd67ccda11b6".string
Example:
"e7e10ba4-187a-4912-a096-dc54a38a6d36".string
Example:
"21e8132a-40c5-566a-90d7-97b5c0985be2".string
Example:
"attribute".string
Example:
"8e83eee3-34ae-4a21-8224-1e9ddf126d20".string
Example:
"004fbf50-60b1-58d0-91fe-e49bd2738dd5".object
boolean
Example:
false.curl -X POST "https://<your-workspace>.prizmdata.ai/api/v1/core/asset/{assetId}/lineage" \
-H "Authorization: Bearer <YOUR_API_TOKEN>" \
-H "Content-Type: application/json" \
-d '{}'
Response
{
"success": true,
"message": "Get comprehensive lineage data for a specific asset.",
"timestamp": "2026-09-21T09:43:50.316067+00:00",
"correlation_id": "1bff0823-3db2-4b12-bf56-22ea8d38bba2",
"data": {
"nodes": [],
"edges": [
{
"id": "a7b46ee3-9382-453f-9e46-dd67ccda11b6",
"source": "e7e10ba4-187a-4912-a096-dc54a38a6d36",
"target": "21e8132a-40c5-566a-90d7-97b5c0985be2",
"type": "attribute",
"sourceAttribute": "8e83eee3-34ae-4a21-8224-1e9ddf126d20",
"targetAttribute": "004fbf50-60b1-58d0-91fe-e49bd2738dd5",
"data": {}
}
],
"is_combine_lineage": false
}
}
POST /api/v1/core/asset/listGet a paginated list of assets with filtering, sorting, and search capabilities.Request Bodyobject[]
object[]
string
Example:
"".boolean
Example:
false.boolean
Whether the request completed successfully
string
Human-readable result message
string
ISO 8601 server timestamp
string
Unique ID for this request
object
object[]
string
Example:
"004fbf50-60b1-58d0-91fe-e49bd2738dd5".string
Example:
"27b7f521-5991-49cd-8ca6-1adbff51038f".string
Example:
"PowerBI_Sanity_Check".string
Example:
"POWERBI".string
Example:
"COMPUTED_TXN_COUNT".string
Example:
"\"PRIZM_BANKING_SPACE\".\"SEMANTIC_MODEL\".\"PRIZM_BAKING_SEMANTIC_PVN\".\"RPT_DAILY_ACCOUNT_SUMMARY\".\"COMPUTED_TXN_COUNT\"".string
Example:
"ATTRIBUTE".string
string
Example:
"21e8132a-40c5-566a-90d7-97b5c0985be2".string
Example:
"RPT_DAILY_ACCOUNT_SUMMARY".object[]
number
Example:
1.0.string
Example:
"CRITICAL".boolean
Example:
false.boolean
Example:
false.boolean
Example:
false.string
Example:
"READY_FOR_REVIEW".integer
Example:
2.integer
Example:
0.integer
Example:
0.integer
Example:
0.integer
Example:
0.integer
Example:
0.integer
Example:
0.string
Example:
"2026-09-21T02:41:49.023758Z".object[]
integer
Example:
21.object[]
boolean
Example:
false.string
Example:
"ADVANCED".string
Example:
"ADVANCED".boolean
Example:
true.integer
Example:
0.integer
Example:
0.string
Example:
"POWERBI_SEMANTIC_MODEL_ATTRIBUTE".integer
Example:
0.string
Example:
"004fbf50-60b1-58d0-91fe-e49bd2738dd5".boolean
Example:
false.boolean
Example:
false.string
Example:
"2026-09-21T02:41:50.471391+00:00".object
string
Example:
"2026-09-19T15:12:19.393374+00:00".string
Example:
"21e8132a-40c5-566a-90d7-97b5c0985be2".object
integer
Example:
43.string
Example:
"2026-09-20T15:40:11.397744+00:00".boolean
Example:
false.integer
Example:
35.integer
Example:
24664.curl -X POST "https://<your-workspace>.prizmdata.ai/api/v1/core/asset/list" \
-H "Authorization: Bearer <YOUR_API_TOKEN>" \
-H "Content-Type: application/json" \
-d '{
"pagination": {
"page": 1,
"pageSize": 10
},
"sorting": [],
"filters": [],
"search": "",
"export": false
}'
Response
{
"success": true,
"message": "Get a paginated list of assets with filtering, sorting, and search capabilities.",
"timestamp": "2026-09-21T09:43:50.316067+00:00",
"correlation_id": "1bff0823-3db2-4b12-bf56-22ea8d38bba2",
"data": {
"data": [
{
"id": "004fbf50-60b1-58d0-91fe-e49bd2738dd5",
"source_id": "27b7f521-5991-49cd-8ca6-1adbff51038f",
"source_name": "PowerBI_Sanity_Check",
"source_type": "POWERBI",
"name": "COMPUTED_TXN_COUNT",
"qualified_name": "\"PRIZM_BANKING_SPACE\".\"SEMANTIC_MODEL\".\"PRIZM_BAKING_SEMANTIC_PVN\".\"RPT_DAILY_ACCOUNT_SUMMARY\".\"COMPUTED_TXN_COUNT\"",
"type": "ATTRIBUTE",
"description": null,
"parent_asset_id": "21e8132a-40c5-566a-90d7-97b5c0985be2",
"parent_asset_name": "RPT_DAILY_ACCOUNT_SUMMARY",
"parents": [
{
"id": "004fbf50-60b1-58d0-91fe-e49bd2738dd5",
"name": "COMPUTED_TXN_COUNT",
"type": "ATTRIBUTE"
}
],
"criticality_score": 1.0,
"criticality_category": "CRITICAL",
"is_criticality_override": false,
"is_profile_type_override": false,
"is_incremental": false,
"status": "READY_FOR_REVIEW",
"total_views": 2,
"total_alerts": 0,
"total_issues": 0,
"total_conversations": 0,
"total_query": 0,
"total_likes": 0,
"total_dislikes": 0,
"created_at": "2026-09-21T02:41:49.023758Z",
"term": [
{
"id": "118cf65e-031a-4fbf-a327-b42ce4e3f868",
"name": "Prod validation test",
"type": "LINKED",
"label": "Prod validation test"
}
],
"metric_count": 21,
"recent_runs": [
{
"run_id": "4c46d961-97ec-410e-8f48-1a0989686434",
"collected_at": "2026-09-19T11:44:44.535425+00:00",
"alert_priority": null,
"metric_detail_id": "0fa55b3d-de58-45ec-a512-0cc1f17000cc"
}
],
"is_duplicate": false,
"profile_type": "ADVANCED",
"quality_profile_type": "ADVANCED",
"is_active": true,
"total_document": 0,
"test_count": 0,
"sub_type": "POWERBI_SEMANTIC_MODEL_ATTRIBUTE",
"child_asset_count": 0,
"asset_id": "004fbf50-60b1-58d0-91fe-e49bd2738dd5",
"has_alerts": false,
"has_issues": false,
"modified_at": "2026-09-21T02:41:50.471391+00:00",
"asset_metadata": {
"table_name": "RPT_DAILY_ACCOUNT_SUMMARY",
"workspace_id": "c6735310-e1d6-445b-9e88-2a9f35ef5bbb",
"semantic_model_id": "a8309a5c-2f97-4cc9-bf45-05d80636be73"
},
"gov_created_at": "2026-09-19T15:12:19.393374+00:00",
"table_asset_id": "21e8132a-40c5-566a-90d7-97b5c0985be2",
"additional_data": {},
"attr_null_count": 43,
"gov_modified_at": "2026-09-20T15:40:11.397744+00:00",
"has_conversations": false,
"attr_distinct_count": 35
}
],
"total_count": 24664,
"metrics": [
{
"name": "DATABRICKS",
"value": 17200
}
]
}
}
PUT /api/v1/core/asset/{assetId}Update an existing asset in the database.Path Parametersstring
required
Example:
3fa85f64-5717-4562-b3fc-2c963f66afa6boolean
Whether the request completed successfully
string
Human-readable result message
string
ISO 8601 server timestamp
string
Unique ID for this request
object
The endpoint’s response payload.
curl -X PUT "https://<your-workspace>.prizmdata.ai/api/v1/core/asset/{assetId}" \
-H "Authorization: Bearer <YOUR_API_TOKEN>" \
-H "Content-Type: application/json" \
-d '{}'
Response
{
"success": true,
"message": "Update an existing asset in the database.",
"timestamp": "2026-09-21T09:43:50.316067+00:00",
"correlation_id": "1bff0823-3db2-4b12-bf56-22ea8d38bba2",
"data": {}
}
POST /api/v1/core/asset/{assetId}/update-attributeUpdate an existing asset attribute in the database.Path Parametersstring
required
Example:
3fa85f64-5717-4562-b3fc-2c963f66afa6boolean
Whether the request completed successfully
string
Human-readable result message
string
ISO 8601 server timestamp
string
Unique ID for this request
object
The endpoint’s response payload.
curl -X POST "https://<your-workspace>.prizmdata.ai/api/v1/core/asset/{assetId}/update-attribute" \
-H "Authorization: Bearer <YOUR_API_TOKEN>" \
-H "Content-Type: application/json" \
-d '{}'
Response
{
"success": true,
"message": "Update an existing asset attribute in the database.",
"timestamp": "2026-09-21T09:43:50.316067+00:00",
"correlation_id": "1bff0823-3db2-4b12-bf56-22ea8d38bba2",
"data": {}
}